package core;

import interfaces.Shortener;
import interfaces.Tweeter;


public class TweetClient {
	private Tweeter tweet;
	private Shortener shorten;
	
	public Tweeter getTweet() {
		return tweet;
	}
	public void setTweet(Tweeter tweet) {
		this.tweet = tweet;
	}
	public Shortener getShorten() {
		return shorten;
	}
	public void setShorten(Shortener shorten) {
		this.shorten = shorten;
	}
	
	public void publishWithUrl(String msg, String url) {
		String shortenedUrl = shorten.shorten(url);
		tweet.publish(shortenedUrl+" "+msg);
	}
}
